Subject: [os2genau_digest] No. 252
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Thu, 17 Jan 2002 01:00:00 +1100 (EDT)

Date:- 17 January 2002

1================================================

From: <djnatpeninsula.hotkey dot net dot au>
Subject: Re: [os2genau] Air-Boot Advantages and things I have been able to do so far
Date: Thu, 17 Jan 2002 20:44:06 -1000

On Mon, 14 Jan 2002 11:09:30 +1100, Robert Traynor  (BobT) wrote:

Well Rob It works, and even allowed me to clean up the junk left by my 
dissapointing foray into ECS.

Regards
Dennis
Seeya Tuesday?

>Hi All,
>
>The title says it all.
>
>This is just a note to inform everyone of the advantages and otherwise of Air-Boot, 
>a new Partition and Boot manager that wholly resides in the Master Boot Record
>of modern hard drives.
>
>It will boot any PC operating system currently available and the aim is to make it
>flexible to the point where it will be most unlikely to be rendered obsolete by any 
>OS in the future.   Air-Boot author, Martin Kiewitz,  hopes Serenity will look at it 
>and include it in the eComStation distribution at some later date. 
>This would be great. I hate OS/2 BootManager, because it wastes one primary partition.
>
>
>Apart from the authors' web site, these notes are what I have noticed and that appear to ME
>to be relevant and important.
>
>1.  I have booted PcDos7 from the 3rd drive by the simple adjustment of the menu to record a 
>preference to ALWAYS boot this partition with NONE of the Preceding primary partitions visible.
>
>
>2. Air-Boot  can boot an eCS/MCP etc, system with NO IBM BootManager at all.!
>And if any drive letters have no LVM assignments, then the system is still able to boot
>(provided of course that the partition you are booting to, still has its LVM code intact).
>
>
>3.After manipulating partitions with Partition Magic 7.0, all the LVM info was lost on the 
>two logical partitions both one manipulated and one created.  And on the Extended partition
>as this was resized also.  
>Additionally the Win2000 NTFS partition was moved further towards the front of the drive.
>
>Normally the eCS installation CD is required to boot and reconfigure LVM.  
>On _MY_ system (note emphasis please) this is a major problem. eCS reserves drive letters
>for the bootable install CD that interfere with already compatible assigned volumes. 
>Namely R: and S:.
>
>I have in the past, turned off my external scsi box and thereby, considerably reduced the 
>number of conflicting drive letters.  
>To manually change the "Advanced" eCS installation boot CD Menu to use different drive
>letters rarely works reliably either.
>
>To cut to the chase, I am now able to boot directly to my eCS partition, even after PM7 manipulation
>of partitions.  Next, I go to the commandline and load LVM.EXE and make the necessary changes.
>Reboot.  Now here is the only catch so far. The ONLY thing to date I have found that trashes
>Air-Boot in the MBR is...... LVM.!  Not Win2000, Not Win98, Not Os2 FDISK, but LVM.
>
>For _ME_, this is a lot quicker than booting from a eCS CD disk just to run LVM.
>
>[I think IBM are finally trying to get back at other operating systems like 
>M$ did when installing windows of ANY flavour. :)  ]
>
>Finally, just put a Air-Boot install disk in the floppy drive and reload Air-Boot.
>
>Most of the previous Air-Boot settings are still recorded and generally only most settings to
>do with the particular hard drive that PM7 manipulated have to be changed.
>
>
>4. With Air-Boot (as I did with PowerBoot) I set a profile that ensures that EVERY time
>I boot Win2000 ALL the HPFS os2 partitions are HIDDEN. This means that no 
>dummy drives appear in Win2000 which take up drive letters.
>These dummy drives, as hpfs, are recognizable to Win2000 as valid partitions,
>are assigned drive letters, but are not accessible as Win2000 does not have
>HPFS support.  There is always a danger that if the HPFS drive has a drive letter,
>then some rogue program (Win2000 or Norton Utilities for two) will try and check 
>and "fix" it for you.
>
>This is a very good way of getting rid of unwanted hpfs partitions.!
>
>Of course, someone on this list will jump in around now and say that Win2000 can be set to
>ignore these HPFS partitions and you can remove the drive letter. ! 
>So you can. In fact you have to do BOTH tell Win2000 to ignore the partition AND hide
>all HPFS from Win2000.  If you only do one or the other, disaster can strike.
>The above is based on MY personal experience. 
>
>YMMV.  <******************emphasis here.!
>
>5. The Author of Dfsee partition repair program is aligning his program to include future support
>and tools to suit Air-Boot.  Dfsee knowledge is now available for Air-Boot further development.
>
>
>I will advise more mumblings from my corner, as regards Air-Boot, as they arise.
>All I can say at this point in time is that Air-Boot works and does what I want.
>
>Other features that I have yet to test or even turn on are automatic MBR antivirus
>removal and automatic recovery of virus infected MBR and other features of Air-Boot.
>
>Please people have a look at the Air-Boot documentation before jumping in with opinions
>or questions. I feel like I am writing a novel here.
>
>
>I hope this answers some of Daryl  Pilkington's queries as well.
>
>
>Regards,
>Robert Traynor (BobT)
>   14 January 2002
>
>   ,-._|\       Robert Traynor        (BobT)
> /  Oz  \      email            rtraynoratnetstra dot com dot au
> \_,--.x/ 
>

2==============================================

From: "Robert Traynor  (BobT)" <rtraynoratoptushome dot com dot au>
Date: Thu, 17 Jan 2002 21:23:36 +1100
Subject: Re: [os2genau] Air-Boot Advantages and things I have been able to do so far

On Thu, 17 Jan 2002 20:44:06 -1000, djnatpeninsula.hotkey dot net dot au wrote:

> Well Rob It works, and even allowed me to clean up the junk left by my 
> dissapointing foray into ECS.

Thats good, because I have later on discovered a few issues with eCS/MCP/WSeB, LVM, 
JFS and BootManager.   The issues are not data destroying and you will not be in 
any risk area that I can foresee.  And as you personally, are not using eCS or MCP 
or WSeB then you will never strike them or even be aware that there even are problems.

I am having now to use both BootManager AND Air-Boot. !
The stupid thing is that I still am booting to eCS with Air-Boot but BM has to be 
on the disk only so that dumb, stupid LVM can write to it.!  at#$at#at#.!  :(   :(

It seems IBM have made a few assumptions and some strange decisions 
concerning BM and LVM and also JFS.  Strictly my personal opinion of course.

I will not go into detail yet, but I am hoping the author of Air-Boot will get some
info and help from a few IBMer's out in the newsgroups.  Unfortunately, he does 
not have a copy of eCS/MCP/WSeB to play around with LVM, BM and JFS.

He is using Warp 4 and of course it works perfectly with that. As well he uses
(reluctantly)  windows and also linux of some sort.
 
See you end of Feb.
Regards,
Robert Traynor (BobT)
   17 January 2002

> Regards
> Dennis
> Seeya Tuesday?

No.  The next meeting is end of Feb 2002, No meeting in January 2002.

> >On Mon, 14 Jan 2002 11:09:30 +1100, Robert Traynor  (BobT) wrote:
> >
> >Hi All,
> >
> >The title says it all.
> >
> >This is just a note to inform everyone of the advantages and otherwise of Air-Boot, 
> >a new Partition and Boot manager that wholly resides in the Master Boot Record
> >of modern hard drives.
> >
> >It will boot any PC operating system currently available and the aim is to make it
> >flexible to the point where it will be most unlikely to be rendered obsolete by any 
> >OS in the future.   Air-Boot author, Martin Kiewitz,  hopes Serenity will look at it 
> >and include it in the eComStation distribution at some later date. 
> >This would be great. I hate OS/2 BootManager, because it wastes one primary partition.
> >
> >
> >Apart from the authors' web site, these notes are what I have noticed and that appear to ME
> >to be relevant and important.
> >
> >1.  I have booted PcDos7 from the 3rd drive by the simple adjustment of the menu to record a 
> >preference to ALWAYS boot this partition with NONE of the Preceding primary partitions visible.
> >
> >
> >2. Air-Boot  can boot an eCS/MCP etc, system with NO IBM BootManager at all.!
> >And if any drive letters have no LVM assignments, then the system is still able to boot
> >(provided of course that the partition you are booting to, still has its LVM code intact).
> >
> >
> >3.After manipulating partitions with Partition Magic 7.0, all the LVM info was lost on the 
> >two logical partitions both one manipulated and one created.  And on the Extended partition
> >as this was resized also.  
> >Additionally the Win2000 NTFS partition was moved further towards the front of the drive.
> >
> >Normally the eCS installation CD is required to boot and reconfigure LVM.  
> >On _MY_ system (note emphasis please) this is a major problem. eCS reserves drive letters
> >for the bootable install CD that interfere with already compatible assigned volumes. 
> >Namely R: and S:.
> >
> >I have in the past, turned off my external scsi box and thereby, considerably reduced the 
> >number of conflicting drive letters.  
> >To manually change the "Advanced" eCS installation boot CD Menu to use different drive
> >letters rarely works reliably either.
> >
> >To cut to the chase, I am now able to boot directly to my eCS partition, even after PM7 manipulation
> >of partitions.  Next, I go to the commandline and load LVM.EXE and make the necessary changes.
> >Reboot.  Now here is the only catch so far. The ONLY thing to date I have found that trashes
> >Air-Boot in the MBR is...... LVM.!  Not Win2000, Not Win98, Not Os2 FDISK, but LVM.
> >
> >For _ME_, this is a lot quicker than booting from a eCS CD disk just to run LVM.
> >
> >[I think IBM are finally trying to get back at other operating systems like 
> >M$ did when installing windows of ANY flavour. :)  ]
> >
> >Finally, just put a Air-Boot install disk in the floppy drive and reload Air-Boot.
> >
> >Most of the previous Air-Boot settings are still recorded and generally only most settings to
> >do with the particular hard drive that PM7 manipulated have to be changed.
> >
> >
> >4. With Air-Boot (as I did with PowerBoot) I set a profile that ensures that EVERY time
> >I boot Win2000 ALL the HPFS os2 partitions are HIDDEN. This means that no 
> >dummy drives appear in Win2000 which take up drive letters.
> >These dummy drives, as hpfs, are recognizable to Win2000 as valid partitions,
> >are assigned drive letters, but are not accessible as Win2000 does not have
> >HPFS support.  There is always a danger that if the HPFS drive has a drive letter,
> >then some rogue program (Win2000 or Norton Utilities for two) will try and check 
> >and "fix" it for you.
> >
> >This is a very good way of getting rid of unwanted hpfs partitions.!
> >
> >Of course, someone on this list will jump in around now and say that Win2000 can be set to
> >ignore these HPFS partitions and you can remove the drive letter. ! 
> >So you can. In fact you have to do BOTH tell Win2000 to ignore the partition AND hide
> >all HPFS from Win2000.  If you only do one or the other, disaster can strike.
> >The above is based on MY personal experience. 
> >
> >YMMV.  <******************emphasis here.!
> >
> >5. The Author of Dfsee partition repair program is aligning his program to include future support
> >and tools to suit Air-Boot.  Dfsee knowledge is now available for Air-Boot further development.
> >
> >
> >I will advise more mumblings from my corner, as regards Air-Boot, as they arise.
> >All I can say at this point in time is that Air-Boot works and does what I want.
> >
> >Other features that I have yet to test or even turn on are automatic MBR antivirus
> >removal and automatic recovery of virus infected MBR and other features of Air-Boot.
> >
> >Please people have a look at the Air-Boot documentation before jumping in with opinions
> >or questions. I feel like I am writing a novel here.
> >
> >
> >I hope this answers some of Daryl  Pilkington's queries as well.
> >
> >
> >Regards,
> >Robert Traynor (BobT)
> >   14 January 2002

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynoratnetstra dot com dot au
 \_,--.x/